# all files / lib/Endpoints/LeagueEndpoint/ LeagueEntriesEndpointV4.js

100% Statements 10/10
100% Branches 0/0
100% Functions 3/3
100% Lines 10/10

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    661×
    1×
    1×

    5×

    5×

    5×

    5×

    2×

    2×

    1×
     import LeagueSuperclass from './LeagueSuperclass'
    import Request from 'RequestClient/Request'
    import METHOD_NAMES from 'Enums/method-names'

    class LeagueEntriesEndpointV4 extends LeagueSuperclass {
        constructor(config, limiter) {
            super()

            this.config = config

            this.by = {
                summonerID: this.summonerID.bind(this),
            }

            this.list = this.list.bind(this)

            this.limiter = limiter
        }

        /**
         * Get league entries in all queues for a given summoner ID.
         *
         * Implements GET `/lol/league/v4/entries/by-summoner/{encryptedSummonerId}`.
         *
         * @param {string} encryptedSummonerId - The encrypted id of the summoner.
         */
        summonerID(summonerID) {
            return new Request(
                this.config,
                this.serviceName,
                `entries/by-summoner/${summonerID}`,
                METHOD_NAMES.LEAGUE.GET_LEAGUE_ENTRIES_BY_SUMMONER_ID_V4,
                'GET',
                this.limiter,
                null,
                false,
                4,
            )
        }

        /**
         * Get all the league entries.
         *
         * Implements GET `/lol/league/v4/entries/{queue}/{tier}/{division}`.
         *
         * @param {string} queue - The queue to search for. e.g. RANKED_SOLO_5x5
         * @param {string} tier - The tier to search for. e.g. DIAMOND
         * @param {string} division - The division to search for. e.g. I
         */
        list(queue, tier, division) {
            return new Request(
                this.config,
                this.serviceName,
                `entries/${queue}/${tier}/${division}`,
                METHOD_NAMES.LEAGUE.GET_LEAGUE_ENTRIES_BY_QUEUE_TIER_DIVISION_V4,
                'GET',
                this.limiter,
                null,
                false,
                4,
            )
        }
    }

    export default LeagueEntriesEndpointV4